/**
 * SPEBS 
 *
 * This script produces the map for defining address exact coordinates and responds to autocomplete events regarding
 * municipalities and postal codes. See also autocomplete.php
 *
 *
 * @copyright (c) 2011 ΕΕΤΤ
 *
 * @license http://www.gnu.org/copyleft/gpl.html (GPL) GENERAL PUBLIC LICENSE 
 *
 *
 * @author ICCS, NOC Team, National Technical University of Athens

 * Originally written  by Aggeliki Dimitriou <A.Dimitriou@noc.ntua.gr> 
 *                        Panagiotis Christias <P.Christias@noc.ntua.gr> 
 *                        Athanasios Douitsis <A.Douitsis@noc.ntua.gr> 
 *                        Chrysa Papagianni <C.Papagianni@noc.ntua.gr> 
**/

$(document.getElementById("addrlng")).ready(function () 
{
	initialize_map();
});
$(document.getElementById("postal_code")).ready(function()
{
	$("#postal_code").autocomplete("autocomplete.php",{
		extraParams: {m: function(){ return $.trim($("#municipality").val());}},
		minChars: 0,
		max: 1000,
		cacheLength: 1
		});
	$("#postal_code").blur(function()
	{
		$.post("autocomplete.php",{pc: $.trim($("#postal_code").val()), m: $.trim($("#municipality").val())}, function(data)
		{
			if(data == "unknown")
			{
				$("#postal_code").val("");
			}
			else if(!is_empty(data))
			{
				$("#municipality").val(data);
				showInputAddres();
			}
		});
	});
	
	$("#municipality").autocomplete("autocomplete.php",{
		extraParams: {p: function() { return $.trim($("#postal_code").val()); }},
		minChars: 0,
		max: 1000,
		cacheLength: 1});
	
	$("#municipality").blur(function()
	{
		$.post("autocomplete.php",{mn: $.trim($("#municipality").val()), p: $.trim($("#postal_code").val())}, function(data)
		{
			if(data == "unknown")
			{
				$("#municipality").val("");
			}
			else if(!is_empty(data))
			{
				$("#postal_code").val(data);
				showInputAddres();
			}
		});
	});
	$("#street").blur(function()
	{
		showInputAddres();
	});
	$("#street_num").blur(function()
	{
		showInputAddres();
	});
});


	var swpoint;
	var nepoint;
	var areabounds;
	var mypointid;
	
	var grmap;
	var addressmarker;
		
	function initialize_map() 
	{
      var comp,li;
	  if (GBrowserIsCompatible()) 
	  {
        grmap = new GMap2(document.getElementById("greece"));
        grmap.setCenter(new GLatLng(38.22, 23.55), 6);
        grmap.setUIToDefault();
		
		curlat = $.trim(document.getElementById("addrlat").value);
		curlng = $.trim(document.getElementById("addrlng").value);
		showInputAddres();
		
		//GEvent.addListener(grmap, "click", function(overlay, latlng, overlaylatlng) {
        //  showClickedPoint(latlng);
        //});			
		
      }
    }

	function reset_map() 
	{
      var comp,li;
	  if (GBrowserIsCompatible()) 
	  {
        grmap.setCenter(new GLatLng(38.22, 23.55), 6);
        grmap.setUIToDefault();
		
		grmap.clearOverlays();
		
		$("#addrlat").val("");
		$("#addrlng").val("");
      }
    }
	
	function is_empty(str)
	{
		if (str==null || str.length == 0)
			return true;
		else
			return false;
	}
	
	function showInputAddres() 
	{	
		var street = $.trim(document.getElementById("street").value);
		var streetno = $.trim(document.getElementById("street_num").value);
		var pcode = $.trim(document.getElementById("postal_code").value);
		var municipality = $.trim(document.getElementById("municipality").value);
		if (is_empty(street) || is_empty(streetno) || is_empty(pcode) || is_empty(municipality))
			return false;
		
		var address = street+' '+streetno+','+pcode+','+municipality+', Greece';
		var alt = pcode+','+municipality+', Greece';
		showAddres(address,alt);
		if(is_empty($("#addrlat").val()))
			reset_map();
	}
	
	function showAddres(address,alternativeAddress) 
	{
		mapload = false;
		var geocoder = new GClientGeocoder();
		//geocoder.getLatLng(address, function(point) 
		geocoder.getLocations(address, function(response) 
		{

			/*if(!point) 
			{
				alert(address + " not found.");
			}*/
			if (addressmarker == null)
				mapload = true;
			if (!response || response.Status.code != 200) 
			{ 
				if(!is_empty(alternativeAddress))
					showAddres(alternativeAddress,""); 
				return false;
				//alert("\"" + address + "\" not found");
			} 
			else 
			{
				place = response.Placemark[0];
				var point = new GLatLng(place.Point.coordinates[1],
									place.Point.coordinates[0]);
				
				grmap.clearOverlays();
				addressmarker = new GMarker(point,{draggable:true})
				grmap.addOverlay(addressmarker);
				grmap.setCenter(point,14);
				document.getElementById("addrlat").value = point.lat();
				document.getElementById("addrlng").value = point.lng();
		
				GEvent.addListener(addressmarker, "dragend", function(latlng) {
					document.getElementById("addrlat").value = latlng.lat();
					document.getElementById("addrlng").value = latlng.lng();
				});
				
				if(mapload && !is_empty(curlat) && !is_empty(curlng))
				{		
					var adjustedPoint = new GLatLng(curlat,curlng);
					moveMarker(adjustedPoint);
				}
				
			}
		
		});
		
			
	}
	
	
	function showClickedPoint(point)
	{
		grmap.clearOverlays();
		addressmarker = new GMarker(point,{draggable:true})
		grmap.addOverlay(addressmarker);
		grmap.setCenter(point,14);
		document.getElementById("addrlat").value = point.lat();
		document.getElementById("addrlng").value = point.lng();
	
		
	}
	function moveMarker(point)
	{
		grmap.setCenter(point,14);
		addressmarker.setLatLng(point);
		document.getElementById("addrlat").value = point.lat();
		document.getElementById("addrlng").value = point.lng();
	
		
	}
	function createMarker(map, number, options) 
	{
		  var point = points[number][0];
		  var message = infos[number];
		  
		  var ico = MapIconMaker.createMarkerIcon(options);
		  var marker = new GMarker(point, {icon:ico});
		  marker.value = number;
		  
		  GEvent.addListener(marker, "click", function() {
			var myHtml = message;
			map.openInfoWindowHtml(point, myHtml);
		  });
		  return marker;
	}
	
	function createExchangeMarker(map, number, options) 
	{
		  var point = exchanges[number][0];
		  var message = exchanges[number][1];
		  
		  var ico = MapIconMaker.createLabeledMarkerIcon(options);
		  
		  var marker = new GMarker(point, {icon:ico});
		  marker.value = number;
		  
		  GEvent.addListener(marker, "click", function() {
			var myHtml = message;
			map.openInfoWindowHtml(point, myHtml);
		  });
		  return marker;
	}
	
