<?
/**
 * SPEBS 
 *
 * This script may switch among displaying measurements, map, graphs or details. 
 *
 * MODES:
 *	 public: User is not logged in. She may not see graphs or details (i.e. table). NDT should not register any measurement.
 *   full: If user is connected through a domain outside her ISP scope, NDT should not register any measurement.
 *   	profile 1: Default simple user profile
 *   	profile 2: Priviledged user profile level 1
 *   	profile 3: Priviledged user profile level 2
 *   	profile 10: Administrative user profile
 *
 * @copyright (c) 2011 EETT
 *
 * @license http://www.gnu.org/copyleft/gpl.html (GPL) GENERAL PUBLIC LICENSE 
 *
 *
 * @author ICCS, NOC Team, National Technical University of Athens
 */

/*
* Originally written  by Aggeliki Dimitriou <A.Dimitriou@noc.ntua.gr> 
*                        Panagiotis Christias <P.Christias@noc.ntua.gr> 
*                        Athanasios Douitsis <A.Douitsis@noc.ntua.gr> 
*                        Chrysa Papagianni <C.Papagianni@noc.ntua.gr> 
*/

	require_once("init.inc.php");
	include("headersimple.php");
	$logged_in = false;

	// TEMP DEFINITION
	$v = 0;
	
	if(isset($_SESSION['username']))
	{	
		$logged_in = true;
		$username = $_SESSION['username'];
		$user_id = $_SESSION['user_id'];
		$connection_id = $_SESSION['connection_id'];
	}
	else
		$user_id=0;
?>

<div id="visualization_container">

<h1><?= $lang_new_measurement_with_ndt ?></h1>

<?
/*********************************        Show NDT applet      *************************************************/

	if ($v == 0)
	{
		if($logged_in) 
		{
			if(!valid_isp()) 
				display_error_message($lang_ip_unknown);
			$details = get_user_connection_details($user_id);
			$maximum_upload = $details['purchased_bandwidth_ul_kbps'] / 1000;
			$maximum_download = $details['purchased_bandwidth_dl_kbps'] / 1000;
		}
		else
		{
			$maximum_upload = $MAXUPLOAD;
			$maximum_download = $MAXDOWNLOAD;
		}
		
		
		$connectionid_ndt_param = "";
		$userid_ndt_param = "";
		$disablereport_ndt_param = "disableReport: 'true',";
		if($logged_in)
		{
			$connectionid_ndt_param = "connectionId:'{$_SESSION['connection_id']}',";
			$userid_ndt_param = "userId:'".convert_username_to_encrypted_id($username)."',";
			if(valid_isp())
				$disablereport_ndt_param = "";
		}
?>

<div id="ndt" style="text-align:center;margin-top:30px;">
	<script src="http://www.java.com/js/deployJava.js"></script>
	<script>
		var attributes = { id:'measurement applet', code:'Tcpbw100', mayscript:'yes', archive:'ndt.jar', width:400, height:200} ;
		var parameters = {
				<?= $connectionid_ndt_param ?>
				<?= $userid_ndt_param ?>
				<?= $disablereport_ndt_param ?>
				reportHost:'<?= $report_host?>',
				testingServer:'<?= $measurement_server ?>',
				client:  '<?= $GLOBALS["ndt_applet_id"] ?>',
				image: '<?= $home.'images/ajax-loader.gif'?>',
				centerimage: true,
				boxbgcolor : '#ffffff',
				language: '<?= $lang_lang_short ?>',
				country: '<?= $lang_country ?>',
				max_up: '<?= $maximum_upload ?>', 
				max_down: '<?= $maximum_download ?>'
		} ;

		deployJava.returnPage = location.href;

		//as recommended by: http://download.oracle.com/docs/cd/E17409_01/javase/tutorial/deployment/deploymentInDepth/ensuringJRE.html
		//alert("versioncheck " + deployJava.versionCheck('1.6.0_10+'));
		if (deployJava.versionCheck('1.5+') == false) {                   
			document.write("<p><a href=\"javascript:deployJava.installLatestJRE()\"><?= $lang_need_java ?></a></p>");
		}
		else {
			//deployJava.runApplet(attributes, parameters, '1.5'); 
			deployJava.writeAppletTag(attributes, parameters);
		}


		//creates the status box under the applet and starts the periodic update process for it
		function create_status_box(applet) {
			//create and new element right after the applet
			var name = 'status box';
			document.getElementById('measurement applet').insertAdjacentHTML('afterend','<div id="'+name+'"></div>');
			//get the new element
			var status_box = document.getElementById(name);
			if( status_box == null ) {
				//console.log('status box creation failed');
			}
			else {
				updateStatusBox(status_box,applet);
				//console.log('status box created');
			}
		}

		function setUserAgent() {
			var elem = document.getElementById('measurement applet');
			if( elem != null ) { //the applet indeed exists now
				// give the user agent to the applet
				elem.setUserAgent(navigator.userAgent);
				// and fire up the status box creation and update process
				create_status_box(elem);
				
			} 
			else { // the applet is not ready yet. Give it some more time
				setTimeout( function() { setUserAgent() } , 500 );
			}
		}
		
		//periodic function to update the status box. Repeats itself periodically
		function updateStatusBox(status_box,applet) {
			//ask the applet whether it is running
			if(applet.measurement_running()) { 
				status_box.innerHTML = '<span style=\'color:grey\'><?= $GLOBALS['lang_ndt_try_gls'] ?></span>';
			}
			else {
				status_box.innerHTML = '<a href=\'g.php\'><?= $GLOBALS['lang_ndt_try_gls'] ?></a>';	
			}
			//wake up after a while later and do the same
			setTimeout( function() { updateStatusBox(status_box,applet) } , 500 );
		}	
			
			
		setUserAgent(); 

	</script>
	<div id="messagebox"/>
<?

}

?>
</div><!-- ndt -->
<div style="clear:both;"></div>
</div><!-- #visualization_container -->
<?
include("headersimple.php");
?>

